Get a cached image
GET/images/{ref}
path parameters
object
refstringrequiredImage reference (nginx:alpine) or converted digest.
Responses
200 OKOK
ImageResponse
cmdarray
items
string
content_bytesintegerint64convert_modestringconverted_at_unix_msintegerint64digeststringentriesintegerentrypointarray
items
string
exposed_portsarray
items
string
size_bytesintegerint64source_refstring404 Not foundNot Found
ErrorResponse
errorstring501 Not Implemented
ErrorResponse
errorstringAuthentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.Request
▍GET/images/{ref}
curl '/images/{ref}'const response = await fetch("/images/{ref}", {
method: "GET",
});
const data = await response.json();import requests
response = requests.get(
"/images/{ref}",
)
data = response.json()Response
200 OK
{
"cmd": [
"string"
],
"content_bytes": 0,
"convert_mode": "string",
"converted_at_unix_ms": 0,
"digest": "string",
"entries": 0,
"entrypoint": [
"string"
],
"exposed_ports": [
"string"
],
"size_bytes": 0,
"source_ref": "string"
}